| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
StreamBuffer::ContainedLink Class Reference

Definition of the contained link set. More...

`#include <GaudiKernel/StreamBuffer.h>`

Collaboration diagram for StreamBuffer::ContainedLink:
[legend]

## Public Member Functions
| ContainedLink ()
| ContainedLink (const ContainedLink &copy)
| ContainedLink (ContainedObject *pObj, long hint, long link)

## Public Attributes
ContainedObject * | first
long | second
long | third

## Detailed Description

Definition of the contained link set.

Definition at line 113 of file StreamBuffer.h.

## Constructor & Destructor Documentation

## ◆ ContainedLink() [1/3]

StreamBuffer::ContainedLink::ContainedLink | ( |  | ) |
| inline

Definition at line 118 of file StreamBuffer.h.

118 : first( 0 ), second( INVALID ), third( INVALID ) {}
StreamBuffer::ContainedLink::first
ContainedObject * first
Definition: StreamBuffer.h:115
StreamBuffer::ContainedLink::third
long third
Definition: StreamBuffer.h:117
StreamBuffer::INVALID
Definition: StreamBuffer.h:111
StreamBuffer::ContainedLink::second
long second
Definition: StreamBuffer.h:116

## ◆ ContainedLink() [2/3]

StreamBuffer::ContainedLink::ContainedLink | ( | const ContainedLink & | copy | ) |
| inline

Definition at line 119 of file StreamBuffer.h.

119 : first( copy.first ), second( copy.second ), third( copy.third ) {}
std::copy
T copy(T... args)
StreamBuffer::ContainedLink::first
ContainedObject * first
Definition: StreamBuffer.h:115
StreamBuffer::ContainedLink::third
long third
Definition: StreamBuffer.h:117
StreamBuffer::ContainedLink::second
long second
Definition: StreamBuffer.h:116

## ◆ ContainedLink() [3/3]

StreamBuffer::ContainedLink::ContainedLink | ( | ContainedObject * | pObj,
|  | long | hint,
|  | long | link
| ) |  |
| inline

Definition at line 120 of file StreamBuffer.h.

120 : first( pObj ), second( hint ), third( link ) {}
StreamBuffer::ContainedLink::first
ContainedObject * first
Definition: StreamBuffer.h:115
StreamBuffer::ContainedLink::third
long third
Definition: StreamBuffer.h:117
StreamBuffer::ContainedLink::second
long second
Definition: StreamBuffer.h:116

## Member Data Documentation

## ◆ first

ContainedObject* StreamBuffer::ContainedLink::first

Definition at line 115 of file StreamBuffer.h.

## ◆ second

long StreamBuffer::ContainedLink::second

Definition at line 116 of file StreamBuffer.h.

## ◆ third

long StreamBuffer::ContainedLink::third

Definition at line 117 of file StreamBuffer.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/StreamBuffer.h